%define version 2.4.0
%define release 1mdk

Summary: 	Systray (Notification Area) Plugin for XChat
Name:		xchat-systray-plugin
Version:	%{version}
Release:	%{release}
# http://download.sourceforge.net/xchat2-plugins/xchat-systray-integration-%{version}.tar.gz
Source0:	xchat-systray-integration-%{version}-src.tar.bz2
License:	GPL
Group:		Networking/IRC
Url:		http://www.blight.tk/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	xchat >= 2.0.4
BuildRequires:	gtk2-devel

%description
Allows you to minimize and maximize XChat to the systray,
to mark/unmark you away and use your away nick,
and alerts you when somebody is trying to talk to you.

%prep
%setup -q -n xchat-systray-integration-%{version}

%build
export CFLAGS="%optflags -Wall `pkg-config gtk+-2.0 --cflags`"
%make

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Docs/*
%{_libdir}/xchat/plugins/systray.so

%changelog
* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- New version
- Use MDK CFLAGS
- (Should this package change name?)

* Mon Sep 08 2003 Olivier Blin <oliv.blin@laposte.net> 2.3.1-1mdk
- Initial release
